%define major		4
%define libname		%mklibname %{name}_ %{major}
%define develname	%mklibname %{name} -d

Name:		ffms2
Version:	2.22
Release:	%mkrel 1
Summary:	Wrapper library around libffmpeg
License:	MIT
Group:		System/Libraries
URL:		https://github.com/FFMS/ffms2/
Source0:	https://github.com/FFMS/%{name}/archive/%{version}/%{name}-%{version}.tar.xz

BuildRequires:	libtool
BuildRequires:	ffmpeg-devel

%description
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n %{libname}
FFmpegSource (usually known as FFMS or FFMS2) is a cross-platform wrapper
library around libffmpeg, plus some additional components to deal with file
formats libavformat has (or used to have) problems with.

#---------------------------------------------------------------------------

%package -n	%{develname}
Summary:	Development package for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
Header files for development with %{name}.

#---------------------------------------------------------------------------
%prep
%setup -q

sed -i 's/\r$//' COPYING

%build
autoreconf -vfi
%configure2_5x \
		--docdir=%{_docdir}/lib%{name}-devel \
		--enable-shared \
		--disable-static
%make

%install
rm -rf %buildroot
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files
%doc COPYING
%{_bindir}/ffmsindex

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}
%{_libdir}/lib%{name}.so.%{major}.*

%files -n %{develname}
%{_includedir}/ffms*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc
%{_docdir}/lib%{name}-devel


%changelog
* Thu Dec 29 2016 adrianomorselli <adrianomorselli> 2.22-1uplos2016
- rebuild

* Thu Sep 01 2016 bb <bb> 2.22-1pclos2016
- import from france

